# Class webdriver.UnhandledAlertError

code »

    Error
      └ bot.Error
          └ webdriver.UnhandledAlertError

An error returned to indicate that there is an unhandled modal dialog on the current page.

## Constructor

webdriver.UnhandledAlertError ( message, alert )

Parameters

message: `string`
  The error message.
alert: `!webdriver.Alert`
  The alert handle.

Show:PublicProtectedPrivate

## Instance Methods

### Defined in `webdriver.UnhandledAlertError`

code » getAlert ( ) ⇒ `!webdriver.Alert`

Returns

The open alert.

### Defined in `bot.Error`

code » toString ( ) ⇒ `string`

Returns

he string representation of this error.

## Instance Properties

### Defined in `webdriver.UnhandledAlertError`

code » alert_ : `!webdriver.Alert`

### Defined in `bot.Error`

code » isAutomationError : `boolean`

Flag used for duck-typing when this code is embedded in a Firefox extension. This is required since an Error thrown in one component and then reported to another will fail instanceof checks in the second component.

code » state : `string`

## Static Properties

code » webdriver.UnhandledAlertError.superClass_ : `bot.Error.prototype`